Library Version 18.1.40

close_cursor
Prev | Chapter 10. Db_base_iterator | Next

## close_cursor

### Function Details

    void close_cursor() const

Close its cursor.

If you are sure the iterator is no longer used, call this function so that its underlying cursor is closed before this iterator is destructed, potentially increase performance and concurrency. Note that the cursor is definitely closed at iterator destruction if you don't close it explicitly.

### Class

db_base_iterator

Prev | Up | Next
Chapter 10. Db_base_iterator | Home | set_bulk_buffer